<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myBankAccountLabel" jhiTranslate="bakApp.bankAccount.home.createOrEditLabel">Create or edit a Bank Account</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!bankAccount.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="bankAccount.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.bankAccount.accountNumber" for="field_accountNumber">Account Number</label>
            <input type="text" class="form-control" name="accountNumber" id="field_accountNumber"
                [(ngModel)]="bankAccount.accountNumber" required/>
            <div [hidden]="!(editForm.controls.accountNumber?.dirty && editForm.controls.accountNumber?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.accountNumber?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.bankAccount.balance" for="field_balance">Balance</label>
            <input type="number" class="form-control" name="balance" id="field_balance"
                [(ngModel)]="bankAccount.balance" required/>
            <div [hidden]="!(editForm.controls.balance?.dirty && editForm.controls.balance?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.balance?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.balance?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="bakApp.bankAccount.customer" for="field_customer">Customer</label>
            <select class="form-control" id="field_customer" name="customer" [(ngModel)]="bankAccount.customerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="customerOption.id" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
